oracle.xdb.servlet

## Class XDBServletConfig

- java.lang.Object
- - oracle.xdb.servlet.XDBServletConfig

All Implemented Interfaces:
  javax.servlet.ServletConfig

    public class XDBServletConfig
    extends java.lang.Object
    implements javax.servlet.ServletConfig

Servlet configuration parameters (from the XML configuration resource)

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `get_paramnames()` Native method to get parameter names.
`java.lang.String` `getInitParameter(java.lang.String name)` Native method to get the init parameter.
`java.util.Enumeration` `getInitParameterNames()` Returns an enumeration of the param names.
`javax.servlet.ServletContext` `getServletContext()` Return the servlet context.
`java.lang.String` `getServletName()` Return the name of this servlet.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

Native method to get the init parameter.

Specified by:
  `getInitParameter` in interface `javax.servlet.ServletConfig`
Parameters:
  `name` - The name.
Returns:
  The init parameter.

#### get_paramnames

    public java.lang.String[] get_paramnames()

Native method to get parameter names.

Returns:
  an array of strings containing the parameter names.

#### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

Returns an enumeration of the param names.

Specified by:
  `getInitParameterNames` in interface `javax.servlet.ServletConfig`
Returns:
  an enumeration of the param names.

#### getServletContext

    public javax.servlet.ServletContext getServletContext()

Return the servlet context. If the servlet context is null, create a new one.

Specified by:
  `getServletContext` in interface `javax.servlet.ServletConfig`
Returns:
  as above.

#### getServletName

    public java.lang.String getServletName()

Return the name of this servlet.

Specified by:
  `getServletName` in interface `javax.servlet.ServletConfig`
Returns:
  as above.

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.